LD(4) | Device Drivers Manual | LD(4)

# NAME

`ld` —
logical disk driver

# SYNOPSIS

`ld* at aac? unit ?`
`ld* at amr? unit ?`
`ld* at ataraid? vendtype ? unit ?`
`ld* at cac? unit ?`
`ld* at icp? unit ?`
`ld* at iop? tid ?`
`ld* at mlx? unit ?`
`ld* at nvme? nsid ?`
`ld* at sdmmc?`
`ld* at twa? unit ?`
`ld* at twe? unit ?`
`ld* at virtio?`

# DESCRIPTION

The `ld` driver provides support for simple block devices, usually presented by a disk array controller.

# FILES

/dev/ld u p
  block mode disk unit u, partition p
/dev/rld u p
  raw mode disk unit u, partition p

# SEE ALSO

aac(4), amr(4), cac(4), icp(4), intro(4), iop(4), mlx(4), nvme(4), sdmmc(4), twa(4), twe(4), virtio(4)

# HISTORY

The `ld` driver first appeared in NetBSD 1.5.3.

# BUGS

The capacity and geometry of units as accessed through the `ld` driver may be different than when accessed through some other medium (e.g. SCSI).

November 5, 2011 | NetBSD 9.4